
%global _default_patch_fuzz 2
%global framework libktorrent

Name:    kf5-libktorrent
Summary: Library providing torrent downloading code
Version: 2.0.1
Release: 9%{?dist}

License: GPLv2+
URL:     https://cgit.kde.org/%{framework}.git/ 
Source0: http://download.kde.org/stable/ktorrent/5.0/%{framework}-%{version}.tar.xz

## upstream patches 
Patch1: 0001-Remove-unused-dependencies.patch
Patch2: 0002-Fix-compilation-with-QCA-installed-in-a-custom-prefi.patch
Patch3: 0003-Fix-compilation-with-DQT_NO_CAST_TO_ASCII.patch
Patch4: 0004-Enable-DQT_NO_CAST_TO_ASCII.patch
Patch5: 0005-Fix-crash-when-mixing-iterators-in-http-response-par.patch
Patch6: 0006-Fix-GRCYPT_VERSION-string-parsing-by-ignoring-traili.patch
Patch7: 0007-Add-reviewboard-configuration-to-simplify-contributi.patch
Patch8: 0008-Fix-parsing-of-headers-from-certain-D-Link-routers.patch
Patch9: 0009-Fix-logging-framework-spamming.patch
Patch10: 0010-Turn-libktorrent-into-a-kf5-framework.patch

## upstreamable patches
# https://git.reviewboard.kde.org/r/129226/
Patch100: 0001-FindLibGMP-fallback-to-try_run-if-regex-fails.patch 

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: boost-devel
BuildRequires: gettext
BuildRequires: gmp-devel >= 6.0.0
BuildRequires: libgcrypt-devel >= 1.4.5
BuildRequires: pkgconfig(qca2-qt5)
BuildRequires: pkgconfig(Qt5Network)

BuildRequires: cmake(KF5Archive)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Solid)

Requires: kf5-filesystem

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: boost-devel
# mse/bigint.h:#include <gmp.h>
Requires: gmp-devel%{?_isa}
Requires: libgcrypt-devel
Requires: cmake(KF5Archive)
Requires: cmake(KF5Config)
Requires: cmake(KF5KIO)
Requires: cmake(Qt5Network)
%description devel
%{summary}.


%prep
%autosetup -n %{framework}-%{version} -p1

find po -name libktorrent.po -exec rename --verbose libktorrent.po libktorrent5.po {} \+




%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang libktorrent5

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f libktorrent5.lang
%doc ChangeLog
%license COPYING
%{_kf5_libdir}/libKF5Torrent.so.*

%files devel
%{_kf5_includedir}/libktorrent/
%{_kf5_libdir}/libKF5Torrent.so
%{_kf5_libdir}/cmake/KF5Torrent/


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 18 2017 Jonathan Wakely <jwakely@redhat.com> - 2.0.1-7
- Rebuilt for Boost 1.64

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 2.0.1-5
- Requires: kf5-filesystem
- update URL
- %%license COPYING

* Wed Oct 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 2.0.1-4
- use upstreamable gmp fix/workaround

* Wed Oct 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 2.0.1-3
- more upstream fixes

* Fri Jun 03 2016 Rex Dieter <rdieter@fedoraproject.org> - 2.0.1-2
- pull in upstream fixes

* Fri Apr 22 2016 Rex Dieter <rdieter@fedoraproject.org> -  2.0.1-1
- libktorrent-2.0.1
